package com.huangge1199.ai.controller;

import com.huangge1199.ai.common.R;
import com.huangge1199.ai.service.LangChainService;
import jakarta.annotation.Resource;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * langChain的AI服务
 *
 * @author huangge1199
 * @since 2025/7/12 10:36:40
 */
@RestController
@RequestMapping("/langChain")
public class LangChainController {

    @Resource
    private LangChainService langChainService;

    /**
     * AI对话
     *
     * @param message 输入信息
     * @return ai返回结果
     */
    @PostMapping("/chat")
    public R<String> chat(@RequestBody String message) {
        String result = langChainService.chat(message);
        return R.ok(result);
    }

    /**
     * 结构化输出
     *
     * @param message 输入信息
     * @return ai返回结果
     */
    @PostMapping("/chatForReport")
    public R<LangChainService.Report> chatForReport(@RequestBody String message) {
        LangChainService.Report result = langChainService.chatForReport(message);
        return R.ok(result);
    }
}
